Bug 696621

Summary: screen brightness setting is not persistent across reboot
Product: [Fedora] Fedora Reporter: pankaj pandey <pankaj86>
Component: systemdAssignee: systemd-maint
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: alexhultman, Bengt.Lueers, bnocera, collura, control-center-maint, johannbg, jvpgomes, lnykryn, msekleta, plautrba, prahladyeri, rstrode, systemd-maint, thunderingexile, tuxor1337, vpavlin, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-08 21:19:17 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
something in here is what seemed to break brightness function keys (unless random gremlin) none

Description pankaj pandey 2011-04-14 09:04:28 EDT
Description of problem:
The screen brightness setting is not persistent across reboot. It goes back to 100% even if I set it to any less value.

Version-Release number of selected component (if applicable):
control-center-3.0.0.1-3.fc15.x86_64
gnome-shell-3.0.0.2-1.fc15.x86_64

Steps to Reproduce:
1. Open Control-Center -> Screen: set brightness to say 60%
2. reboot
3. Brightness is back to 100 %
Comment 1 pankaj pandey 2011-06-07 05:25:16 EDT
Well i figured out the the screen settings does not write the brightness key in the dconf:
when i change the dconf key using
$ dconf write /org/gnome/power-manager/brightness-ac 0.5
the control center screen brightness slider reflects the change immediately but when i slide the slider, the change is not written back to the dconf key
Comment 2 tuxor 2011-08-31 04:15:54 EDT
The problem persists with

control-center-3.0.2-1.fc15.x86_64

I can confirm, that the respective dconf-key stays untouched by control-center, if I change the brightness-value!
Comment 3 tuxor 2011-11-26 12:15:26 EST
Works for me now. Of course the relevant dconf-key has changed entirely. But configuration via gnome-control-center is persistent now :-)
Comment 4 collura 2011-12-03 05:06:47 EST
still forgetful for me with:

   gnome-shell-3.2.1-2.fc16 (64bit) x86_64
   control-center-1:3.2.2-1.fc16 (64bit) x86_64
Comment 5 collura 2012-04-13 15:32:06 EDT
still forgetful for me:

   gnome-shell-3.4.0-1.fc17.x86_64
   control-center-1:3.4.0-1.fc17.x86_64

(though brightness slider works now in fc17beta but not in fc16 lol)
Comment 6 collura 2012-08-22 20:02:27 EDT
still forgetful for me though slider works:

     kernel-3.5.0-2.x86_64
     xorg-x11-drv-ati-6.14.4-6.20120602git93076094.fc17.x86_64
     control-center-1:3.4.2-1.fc17.x86_64
     gnome-settings-daemon-3.4.2-3.fc17.x86_64
     dconf-0.12.1-1.fc17.x86_64
     gconf2-3.2.5-1.fc17.x86_64

     http://www.smolts.org/client/show/pub_d71dc9ab-d675-4ee2-a9a9-303efc25df83
Comment 7 collura 2012-09-30 16:47:40 EDT
still forgetful for me (though slider and fn-brightness_keys work):

     kernel-3.5.4-2.fc17.x86_64
     xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
     control-center-1:3.4.2-1.fc17.x86_64
     gnome-settings-daemon-3.4.2-3.fc17.x86_64
     dconf-0.12.1-1.fc17.x86_64
     gconf2-3.2.5-2.fc17.x86_64
Comment 8 collura 2012-10-12 16:38:27 EDT
still forgetful for me (though slider and fn-brightness_keys work):

     kernel-3.6.1-1.fc17.x86_64
     xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
     control-center-1:3.4.2-4.fc17.x86_64
     gnome-settings-daemon-3.2.4-3.fc17.x86_64
     dconf-0.12.1-1.fc17.x86_64
     gconf2-3.2.5-3.fc17.x86_64

though had a glich with fn-brightness_keys
 (iffy, had problems reproducing exact steps but something like):

     function key brightness was working 
         ibus-1.4.99.20121006-1.fc17.x86_64

     then an update for ibus came through which seemed to break 
       the fn_key_brightness
         ibus-1.4.99.20121006-2.fc17.x86_64

     so tried downgrade ibus
         yum downgrade ibus-*
       which installed
         ibus-1.4.99.20120914-2.fc17.x86_64
       but did not fix it
     so downloaded ibus-1.4.99.20121006-1.fc17.x86_64 from koji 
       which did not re-fix
     so eventually yum distro-sync (only changed various ibus files) 
       which seemed to fix it again

     so fn_btightness_keys currently running:
        ibus-1.4.99.20121006-2.fc17.x86_64
        ibus-chewing-1.4.2-1.fc17.x86_64
        ibus-gnome3-1.4.99.20121006-2.fc17.x86_64
        ibus-gtk2-1.4.99.20121006-2.fc17.x86_64
        ibus-gtk3-1.4.99-20121006.2.fc17.x86_64
        ibus-hangul-1.4.1-4.fc17.x86_64
        ibus-libpinyin-1.4.92-1.fc17.x86_64
        ibus-libs-1.4.99.20121006-2.fc17.x86_64
        ibus-m17n-1.3.4-3.fc17.x86_64
        ibus-pinyin-db-android-1.4.99.20120620-2.fc17
        ibus-rawcode-1.3.1.20100707-7.fc17.x86_64
Comment 9 collura 2012-10-12 16:40:23 EDT
Created attachment 626272 [details]
something in here is what seemed to break brightness function keys (unless random gremlin)
Comment 10 collura 2012-10-31 22:16:56 EDT
regarding comment8/comment9: looking like gremlin.
brightness function keys seem to work only intermittantly.
Comment 11 collura 2013-01-23 01:49:55 EST
brightness still forgetful in fc18.

currently using: 

  kernel-3.7.3-101.fc17.x86_64
  xorg-x11-drv-ati-7.0.0-0.8.20121015.gitbd9e2c064.fc18.x86_64
  control-center-1:3.6.3-1.fc18.x86_64
  gnome-settings-daemon-3.6.4-2.fc18.x86_64
  dconf-0.14.1-3.fc18.x86_64
  gconf2-3.2.5-3.fc18.x86_64
  ibus-1.5.1-1.fc18.x86_64

(at somepoint in fc17 the intermittant brightness function keys turned back into broken again and dont work in fc18)
Comment 12 Fedora End Of Life 2013-04-03 10:13:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 thunderingexile 2013-04-20 04:11:48 EDT
Hi,

When I reboot (but not when I turn the laptop off and turn it on again at a later time), the brightness level is reset to 100%. I think it has been like this for several versions of Fedora (currently using F18).
Comment 14 Bengt Lüers 2013-04-20 06:50:48 EDT
Brightness gets reset to 0 % for me. This behaviour persists since at least Fedora 17 and now on Fedora 18.

This variant is particularily problematic since at that setting, one might not be able to see much at the display in bright environments. My current workaround is to set the brightness at gdm's session start:

    sudo su -c 'echo "/usr/libexec/gsd-backlight-helper --set-brightness \
    \`/usr/libexec/gsd-backlight-helper --get-max-brightness\`" >> \
    /etc/gdm/PreSession/Default' # Run this command only once!

This will set the maximum brightness level for the greeter/login-dialogue, but not the password-dialogue of encrypted partition. GRUB is unaffected by this for me.
Comment 15 collura 2013-07-26 04:51:51 EDT
brightness still forgetful in fc19.

currently using: 

  kernel-3.9.9-302.fc19.x86_64
  xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64
  control-center-1:3.8.3-2.fc19.x86_64
  gnome-settings-daemon-3.8.3-3.fc19.x86_64
  dconf-0.16.0-2.fc19.x86_64
  GConf2-3.2.6-6.fc19.x86_64
  ibus-1.5.2-8.fc19.x86_64

(at somepoint in fc18 the intermittant brightness function keys worked but 
then turned back into broken again and dont work in fc19)
Comment 16 collura 2013-07-26 05:09:49 EDT
ducktape:

  https://bugzilla.gnome.org/show_bug.cgi?id=699102#c1
    "turning it to highest every time. Now there is an extension does
     this:https://extensions.gnome.org/extension/231/brightness-control/
     but not for 3.8 yet."
Comment 17 alexhultman 2013-08-12 09:44:57 EDT
I have this issue in Fedora 19 with gnome-shell 3.8.4. Setting screen brightness to low, reboots -> back at 100%.
Comment 18 collura 2013-09-29 19:22:33 EDT
still forgetful for me:

     kernel-3.11.1-200.fc19.x86_64 and kernel-3.12.0-0.rc0.git22.1.fc21.x86_64
     xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64
     control-center-1:3.8.5-1.fc19.x86_64
     gnome-settings-daemon-3.8.5-1.fc19.x86_64
     gnome-shell-3.8.4-2.fc19.x86_64
     dconf-0.16.0-2.fc19.x86_64
     gconf2-3.2.6-6.fc19.x86_64
Comment 19 collura 2013-10-12 05:01:00 EDT
still forgetful as of:

  systemd-204-16.fc19.x86_64

but a comment from upstream:

  https://bugzilla.gnome.org/show_bug.cgi?id=649423#c22
  "Bastien Nocera [gnome-settings-daemon developer] 2013-10-11 07:58:32 UTC
     systemd >= 207 saves and restores display backlights.

     This patch should allow us to do the same for keyboard backlights:
     https://bugs.freedesktop.org/show_bug.cgi?id=70367"

suggests that the long awaited (since ~fc15) fix would be in fc20 release since it already has:

  systemd-208-2.fc20.x86_64

so baste the minstrals.
Comment 20 Bastien Nocera 2013-10-15 02:09:42 EDT
*** Bug 908070 has been marked as a duplicate of this bug. ***
Comment 21 Bastien Nocera 2013-10-15 02:17:16 EDT
Implemented in systemd >= 207.
Comment 22 Zbigniew Jędrzejewski-Szmek 2013-12-08 21:19:17 EST
Not going to be backported, sorry.